lens-3.10: Lenses, Folds and Traversals

Portability | non-portable
Stability | provisional
Maintainer | Edward Kmett <ekmett@gmail.com>
Safe Haskell | Trustworthy

Control.Lens.Internal.Review

Contents

- Internal Classes
- Reviews

Description

Synopsis

- class (Profunctor p, Bifunctor p) => Reviewable p
- retagged :: (Profunctor p, Bifunctor p) => p a b -> p s b
- newtype Reviewed a b = Reviewed {
  - runReviewed :: b
  }

# Internal Classes

class (Profunctor p, Bifunctor p) => Reviewable p Source

This class is provided mostly for backwards compatibility with lens 3.8, but it can also shorten type signatures.

Instances

(Profunctor p, Bifunctor p) => Reviewable p |

# Reviews

retagged :: (Profunctor p, Bifunctor p) => p a b -> p s bSource

This is a profunctor used internally to implement Review

It plays a role similar to that of `Accessor` or `Const` do for Control.Lens.Getter

newtype Reviewed a b Source

Constructors

Reviewed |

Fields

runReviewed :: b

Instances

Bitraversable Reviewed |
Bifunctor Reviewed |
Bifoldable Reviewed |
Corepresentable Reviewed |
Choice Reviewed |
Profunctor Reviewed |
Wrapped a b (Reviewed s a) (Reviewed t b) |
Monad (Reviewed a) |
Functor (Reviewed a) |
MonadFix (Reviewed a) |
Applicative (Reviewed a) |
Foldable (Reviewed a) |
Traversable (Reviewed a) |
Comonad (Reviewed a) |
ComonadApply (Reviewed a) |
Distributive (Reviewed a) |
Apply (Reviewed a) |
Bind (Reviewed a) |